package a.f.b;

import a.i.a;
import a.i.l;
import a.i.l$a;

public abstract class q extends p implements l {
    /* Access modifiers changed, original: protected|final */
    public final a dWB() {
        return v.a(this);
    }

    public final Object invoke() {
        return get();
    }

    public final l$a dWM() {
        return ((l) dWL()).dWM();
    }
}
